package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.miniapp.bean.coupon.CouponObtainBean;
import com.gree.mall.miniapp.bean.coupon.CustomCoupouBean;
import com.gree.mall.miniapp.plus.entity.Coupon;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface CustomCoupouMapper {

    @SqlParser(filter = true)
    List<CustomCoupouBean> listCoupou(@Param("userId") String userId,
                                      @Param("orderAmount") BigDecimal orderAmount,
                                      @Param("goodsIds")List<String> goodsIds);

    @SqlParser(filter = true)
    List<CouponObtainBean> listObtainCoupou(@Param("userId") String userId,
                                            @Param("companyWechatId") String companyWechatId);

}
